Subject: help needed for upgrade from asun to 1.5p8 (on LinuxPPC)

From: Lorenzo Perone <[email-masked]>
Date: Sun, 14 Oct 2001 20:38:26 +0200

Hi All,

Recently there was a notice about different .AppleDouble formats between  different netatalk versions / branches.

Now time has come for me to try to compile netatalk 1.5p8 with cnid-db support (after, if ever, I'll succesfully upgrade LinuxPPC 2000 Q4 to libc6).

I hope to be able to use it for production soon, I mean, I hope it can hold up to the old asun2.1.4 , which works with OS9 and Ten, but is still buggy when copying a lot of files.

My question to the list is: 
Does anybody know which specific changes that have occurred on the "AppleDouble" side from 1.4+asun2.14pre37 to 1.5p8, so that it is possible to prevent data loss? 
Do I have to copy all served files to a client, and then back, or is there a chance to get the upgrade running without risks (I have daily backup on another fs, anyway)?
Any experience in this field?

Thanx a lot in advance!

-LP